celtic(6)

NAME
celtic - draws celtic cross-stich patterns

SYNOPSIS
ifs [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--delay number] [--delay2 number] [--ncolors number] [--graph mode] [--fps]

DESCRIPTION
The celtic program repeatedly draws random cross-stitch patterns.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay number
    Per-frame delay, in microseconds. Default: 10000.

--delay2 number
    Delay between patterns, in seconds. Default: 5.

--ncolors number
    Number of colours to use. Default: 20.

--graph
    Whether to render the underlying graph. Default: no.

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2005 by Max Froumentin. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Max Froumentin <max@lapin-bleu.net>